View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityN/A 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000192: add new sakurascript to open editer with file and linenum
Description

With GETERRORLOG, we can know which line of the file is wrong
Now we need something new: simply and quickly open the corresponding file and jump to the number of lines
Many file editors support command-line additional parameters, and we can extend the external program options of SSP to support the addition of custom parameters

TagsNo tags attached.
Attach Tags

Activities

ponapalt

2021-08-15 11:21

administrator   ~0000541

Last edited: 2021-08-15 11:22

Please try 2.5.12.

\![open,editor,filename,parameter]

"parameter" is an additional parameter you want.

I've decided not to implement line parameters in the configuration dialog, because not all editors can support line number parameters.

guest

2021-08-15 19:24

reporter   ~0000546

My idea is that just like setting up mail programs in SSP, it may be better to carefully adjust the parameters of the editor in SSP settings
It's not that ghost itself can't build a function for setting editor parameters. It's just that if SSP provides this function, users don't need to set it repeatedly in each ghost that provides this function

ponapalt

2021-08-15 19:52

administrator   ~0000547

Hmm... I think mail program argument is useful for a wide range of users, but editor argument is minor requirement for developers.
So I've tried to implement ![open,editor] tag such as above, because developers can easily tweak if they want to use another editor program.
The idea of ![open,editor] is useful, but built-in line number support is excessive, I think.

guest

2021-08-15 20:16

reporter   ~0000551

Yes, it's not necessary to support the line count parameter. Unless ghost provides the function of finding file content, generally speaking, only developers will use this
I think I'm just a little obsessive-compulsive, because the ghost I participated in was developed by several people. Some people use n++, some people use vscode, and some even use the Notepad provided by windows. But I want to make the ghost I'm participating in a good development architecture: even if we give up her, she can carry out rapid and convenient development and debugging in the hands of the next user willing to continue development through the development architecture we have built
Please close this. I think I will provide the function of setting editor parameters in ghost part

ponapalt

2021-08-15 20:26

administrator   ~0000552

It's difficult problem.
I think line number support is cool, and easy to implement (not complex work, just call functions like mailer tag).
But I want to avoid application that require many settings than necessary.

...Aside from the fact that there are already so many setting items in SSP...

guest

2021-08-15 20:40

reporter   ~0000554

I think we can set it as an option
People who do not need to use this function do not need to set it

By the way, have you considered asking for some basic settings when SSP runs for the first time (or pop-up to tell users that they can personalize through the settings window)? Many people in our ukagaka communication group asked about making ghost not a window in the taskbar, or did not update SSP for this reason
Sometimes these users really make people angry and laugh in same time
I've also seen programs run directly in compressed packages

ponapalt

2021-08-16 07:30

administrator   ~0000556

I've decided to implement line number support.
It's enough reason to implement because it's cool :-)

Note : Please create new issue when other when another question arises.

guest

2021-08-16 12:50

reporter   ~0000557

new issue created

ponapalt

2021-08-20 04:38

administrator   ~0000578

2.5.16

Issue History

Date Modified Username Field Change
2021-06-27 17:00 guest New Issue
2021-08-15 11:08 ponapalt Assigned To => ponapalt
2021-08-15 11:08 ponapalt Status new => assigned
2021-08-15 11:08 ponapalt Status assigned => feedback
2021-08-15 11:21 ponapalt Note Added: 0000541
2021-08-15 11:22 ponapalt Note Edited: 0000541
2021-08-15 19:24 guest Note Added: 0000546
2021-08-15 19:24 guest Status feedback => assigned
2021-08-15 19:52 ponapalt Status assigned => feedback
2021-08-15 19:52 ponapalt Note Added: 0000547
2021-08-15 20:16 guest Note Added: 0000551
2021-08-15 20:16 guest Status feedback => assigned
2021-08-15 20:26 ponapalt Note Added: 0000552
2021-08-15 20:40 guest Note Added: 0000554
2021-08-16 07:31 ponapalt Note Added: 0000556
2021-08-16 07:33 ponapalt Status assigned => feedback
2021-08-16 12:50 guest Note Added: 0000557
2021-08-16 12:50 guest Status feedback => assigned
2021-08-18 11:14 ponapalt Status assigned => confirmed
2021-08-19 15:03 ponapalt Fixed in Version => 2.5 (リリース)
2021-08-20 04:38 ponapalt Status confirmed => closed
2021-08-20 04:38 ponapalt Resolution open => fixed
2021-08-20 04:38 ponapalt Note Added: 0000578